Package helma.objectmodel

# Class TransientProperty

java.lang.Object
helma.objectmodel.TransientProperty

All Implemented Interfaces:
  `IProperty`, `Serializable`

public final class TransientProperty extends Object implements IProperty, Serializable
A property implementation for Nodes stored inside a database.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`boolean`
`bvalue`
`double`
`dvalue`
`Object`
`jvalue`
`long`
`lvalue`
`protected TransientNode`
`node`
`INode`
`nvalue`
`protected String`
`propname`
`String`
`svalue`
`int`
`type`

### Fields inherited from interface helma.objectmodel.IProperty

`BOOLEAN, DATE, FLOAT, INTEGER, JAVAOBJECT, NODE, STRING`

## Constructor Summary

Constructors
Constructor
Description
`TransientProperty(TransientNode node)`
Creates a new Property object.
`TransientProperty(String propname, TransientNode node)`
Creates a new Property object.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`getBooleanValue()`
`Date`
`getDateValue()`
`double`
`getFloatValue()`
`long`
`getIntegerValue()`
`Object`
`getJavaObjectValue()`
`String`
`getName()`
`INode`
`getNodeValue()`
`String`
`getStringValue()`
`int`
`getType()`
`Object`
`getValue()`
`void`
`setBooleanValue(boolean value)`
`void`
`setDateValue(Date value)`
`void`
`setFloatValue(double value)`
`void`
`setIntegerValue(long value)`
`void`
`setJavaObjectValue(Object value)`
`void`
`setNodeValue(INode value)`
`void`
`setStringValue(String value)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### propname

protected String propname

### node

protected TransientNode node

### svalue

public String svalue

### bvalue

public boolean bvalue

### lvalue

public long lvalue

### dvalue

public double dvalue

### nvalue

public INode nvalue

### jvalue

public Object jvalue

### type

public int type

## Constructor Details

### TransientProperty

public TransientProperty(TransientNode node)
Creates a new Property object.

Parameters:
  `node` - ...

### TransientProperty

public TransientProperty(String propname, TransientNode node)
Creates a new Property object.

Parameters:
  `propname` - ...
  `node` - ...

## Method Details

### getName

public String getName()

Specified by:
  `getName` in interface `IProperty`
Returns:
  ...

### getValue

public Object getValue()

Specified by:
  `getValue` in interface `IProperty`
Returns:
  ...

### setStringValue

public void setStringValue(String value)

Parameters:
  `value` - ...

### setIntegerValue

public void setIntegerValue(long value)

Parameters:
  `value` - ...

### setFloatValue

public void setFloatValue(double value)

Parameters:
  `value` - ...

### setDateValue

public void setDateValue(Date value)

Parameters:
  `value` - ...

### setBooleanValue

public void setBooleanValue(boolean value)

Parameters:
  `value` - ...

### setNodeValue

public void setNodeValue(INode value)

Parameters:
  `value` - ...

### setJavaObjectValue

public void setJavaObjectValue(Object value)

Parameters:
  `value` - ...

### getStringValue

public String getStringValue()

Specified by:
  `getStringValue` in interface `IProperty`
Returns:
  ...

### toString

public String toString()

Overrides:
  `toString` in class `Object`
Returns:
  ...

### getIntegerValue

public long getIntegerValue()

Specified by:
  `getIntegerValue` in interface `IProperty`
Returns:
  ...

### getFloatValue

public double getFloatValue()

Specified by:
  `getFloatValue` in interface `IProperty`
Returns:
  ...

### getDateValue

public Date getDateValue()

Specified by:
  `getDateValue` in interface `IProperty`
Returns:
  ...

### getBooleanValue

public boolean getBooleanValue()

Specified by:
  `getBooleanValue` in interface `IProperty`
Returns:
  ...

### getNodeValue

public INode getNodeValue()

Specified by:
  `getNodeValue` in interface `IProperty`
Returns:
  ...

### getJavaObjectValue

public Object getJavaObjectValue()

Specified by:
  `getJavaObjectValue` in interface `IProperty`
Returns:
  ...

### getType

public int getType()

Specified by:
  `getType` in interface `IProperty`
Returns:
  ...